CVE-2016-7098

HIGH
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Race condition in wget 1.17 and earlier, when used in recursive or mirroring mode to download a single file, might allow remote servers to bypass intended access list restrictions by keeping an HTTP connection open.

References

http://lists.gnu.org/archive/html/bug-wget/2016-08/msg00083.html

http://lists.gnu.org/archive/html/bug-wget/2016-08/msg00134.html

http://lists.opensuse.org/opensuse-updates/2016-09/msg00044.html

http://lists.opensuse.org/opensuse-updates/2017-01/msg00007.html

http://www.openwall.com/lists/oss-security/2016/08/27/2

http://www.securityfocus.com/bid/93157

https://www.exploit-db.com/exploits/40824/

Details

Source: MITRE

Published: 2016-09-26

Updated: 2017-09-03

Type: CWE-362

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.2

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:gnu:wget:*:*:*:*:*:*:*:* versions up to 1.17 (inclusive)

Tenable Plugins

View all (15 total)

IDNameProductFamilySeverity
133324Debian DLA-2086-1 : wget security updateNessusDebian Local Security Checks
high
124920EulerOS Virtualization 3.0.1.0 : wget (EulerOS-SA-2019-1417)NessusHuawei Local Security Checks
high
124636EulerOS 2.0 SP3 : wget (EulerOS-SA-2019-1350)NessusHuawei Local Security Checks
high
123731EulerOS Virtualization 2.5.3 : wget (EulerOS-SA-2019-1263)NessusHuawei Local Security Checks
high
123629EulerOS 2.0 SP5 : wget (EulerOS-SA-2019-1155)NessusHuawei Local Security Checks
high
123604EulerOS 2.0 SP2 : wget (EulerOS-SA-2019-1130)NessusHuawei Local Security Checks
high
121653Photon OS 1.0: Wget PHSA-2016-0012NessusPhotonOS Local Security Checks
critical
111846Photon OS 1.0: Dnsmasq / Grub2 / Haproxy / Linux / Nginx / Vim / Wget / Zookeeper PHSA-2016-0012 (deprecated)NessusPhotonOS Local Security Checks
critical
104211Ubuntu 14.04 LTS / 16.04 LTS / 17.04 / 17.10 : wget vulnerabilities (USN-3464-1)NessusUbuntu Local Security Checks
high
99790EulerOS 2.0 SP1 : wget (EulerOS-SA-2016-1027)NessusHuawei Local Security Checks
high
96278openSUSE Security Update : wget (openSUSE-2017-9)NessusSuSE Local Security Checks
high
96140SUSE SLED12 / SLES12 Security Update : wget (SUSE-SU-2016:3268-1)NessusSuSE Local Security Checks
high
95418FreeBSD : wget -- Access List Bypass / Race Condition (479c5b91-b6cc-11e6-a04e-3417eb99b9a0)NessusFreeBSD Local Security Checks
high
93714SUSE SLES11 Security Update : wget (SUSE-SU-2016:2358-1)NessusSuSE Local Security Checks
high
93436openSUSE Security Update : wget (openSUSE-2016-1073)NessusSuSE Local Security Checks
high